Skip to main content
`Ctrl`+`K`

# CylindricalRepresentation

class astropy.coordinates.CylindricalRepresentation(rho, phi=None, z=None, differentials=None, copy=True)

  Bases: `BaseRepresentation`

  Representation of points in 3D cylindrical coordinates.

  Parameters:
    rho `Quantity`

      The distance from the z axis to the point(s).

    phi `Quantity` or `python:str`

      The azimuth of the point(s), in angular units, which will be wrapped to an angle between 0 and 360 degrees. This can also be instances of `Angle`,

    z `Quantity`

      The z coordinate(s) of the point(s)

    differentials `python:dict`, `CylindricalDifferential`, optional

      Any differential classes that should be associated with this representation. The input must either be a single `CylindricalDifferential` instance, or a dictionary of of differential instances with keys set to a string representation of the SI unit with which the differential (derivative) is taken. For example, for a velocity differential on a positional representation, the key would be `'s'` for seconds, indicating that the derivative is a time derivative.

    copy bool, optional

      If `True` (default), arrays will be copied. If `False`, arrays will be references, though possibly broadcast to ensure matching shapes.

  Attributes Summary

  `attr_classes` |
  `name` | Name of the representation or differential.
  `phi` | The azimuth of the point(s).
  `rho` | The distance of the point(s) from the z-axis.
  `z` | The height of the point(s).

  Methods Summary

  `from_cartesian`(cart) | Converts 3D rectangular cartesian coordinates to cylindrical polar coordinates.
  `represent_as`(other_class[, differential_class]) | Convert coordinates to another representation.
  `scale_factors`() | Scale factors for each component's direction.
  `to_cartesian`() | Converts cylindrical polar coordinates to 3D rectangular cartesian coordinates.
  `unit_vectors`() | Cartesian unit vectors in the direction of each component.

  Attributes Documentation

  attr_classes = {'phi': <class 'astropy.coordinates.angles.core.Angle'>, 'rho': <class 'astropy.units.quantity.Quantity'>, 'z': <class 'astropy.units.quantity.Quantity'>}
  name = 'cylindrical'

    Name of the representation or differential.

    When a subclass is defined, by default, the name is the lower-cased name of the class with with any trailing ‘representation’ or ‘differential’ removed. (E.g., ‘spherical’ for `SphericalRepresentation` or `SphericalDifferential`.)

    This can be customized when defining a subclass by setting the class attribute.

  phi

    The azimuth of the point(s).

  rho

    The distance of the point(s) from the z-axis.

  z

    The height of the point(s).

  Methods Documentation

  classmethod from_cartesian(cart)

    Converts 3D rectangular cartesian coordinates to cylindrical polar coordinates.

  represent_as(other_class, differential_class=None)

    Convert coordinates to another representation.

    If the instance is of the requested class, it is returned unmodified. By default, conversion is done via Cartesian coordinates. Also note that orientation information at the origin is not preserved by conversions through Cartesian coordinates. See the docstring for `to_cartesian()` for an example.

    Parameters:
      other_class `BaseRepresentation` subclass

        The type of representation to turn the coordinates into.

      differential_class `python:dict` of `BaseDifferential`, optional

        Classes in which the differentials should be represented. Can be a single class if only a single differential is attached, otherwise it should be a `dict` keyed by the same keys as the differentials.

  scale_factors()

    Scale factors for each component’s direction.

    Given unit vectors \(\hat{e}_c\) and scale factors \(f_c\), a change in one component of \(\delta c\) corresponds to a change in representation of \(\delta c \times f_c \times \hat{e}_c\).

    Returns:
      scale_factors `python:dict` of `Quantity`

        The keys are the component names.

  to_cartesian()

    Converts cylindrical polar coordinates to 3D rectangular cartesian coordinates.

  unit_vectors()

    Cartesian unit vectors in the direction of each component.

    Given unit vectors \(\hat{e}_c\) and scale factors \(f_c\), a change in one component of \(\delta c\) corresponds to a change in representation of \(\delta c \times f_c \times \hat{e}_c\).

    Returns:
      unit_vectors `python:dict` of `CartesianRepresentation`

        The keys are the component names.